/****************************************************************************
 * apps/graphics/traveler/tools/tcledit/tcl_colors.h
 *
 *   Copyright (C) 2016 Gregory Nutt. All rights reserved.
 *   Author: Gregory Nutt <gnutt@nuttx.org>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 * 3. Neither the name NuttX nor the names of its contributors may be
 *    used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 ****************************************************************************/

#ifndef __APPS_GRAPHICS_TRAVELER_TOOLS_TCLEDIT_TCL_COLORS_H
#define __APPS_GRAPHICS_TRAVELER_TOOLS_TCLEDIT_TCL_COLORS_H

/****************************************************************************
 * Pre-processor Definitions
 ****************************************************************************/

#define AliceBlue            {0xF0, 0xF8, 0xFF}
#define AntiqueWhite         {0xFA, 0xEB, 0xD7}
#define Aqua                 {0x00, 0xFF, 0xFF}
#define Aquamarine           {0x7F, 0xFF, 0xD4}
#define Azure                {0xF0, 0xFF, 0xFF}
#define Beige                {0xF5, 0xF5, 0xDC}
#define Bisque               {0xFF, 0xE4, 0xC4}
#define Black                {0x00, 0x00, 0x00}
#define BlanchedAlmond       {0xFF, 0xEB, 0xCD}
#define Blue                 {0x00, 0x00, 0xFF}
#define BlueViolet           {0x8A, 0x2B, 0xE2}
#define Brown                {0xA5, 0x2A, 0x2A}
#define BurlyWood            {0xDE, 0xB8, 0x87}
#define CadetBlue            {0x5F, 0x9E, 0xA0}
#define Chartreuse           {0x7F, 0xFF, 0x00}
#define Chocolate            {0xD2, 0x69, 0x1E}
#define Coral                {0xFF, 0x7F, 0x50}
#define CornflowerBlue       {0x64, 0x95, 0xED}
#define Cornsilk             {0xFF, 0xF8, 0xDC}
#define Crimson              {0xDC, 0x14, 0x3C}
#define Cyan                 {0x00, 0xFF, 0xFF}
#define DarkBlue             {0x00, 0x00, 0x8B}
#define DarkCyan             {0x00, 0x8B, 0x8B}
#define DarkGoldenRod        {0xB8, 0x86, 0x0B}
#define DarkGray             {0xA9, 0xA9, 0xA9}
#define DarkGreen            {0x00, 0x64, 0x00}
#define DarkKhaki            {0xBD, 0xB7, 0x6B}
#define DarkMagenta          {0x8B, 0x00, 0x8B}
#define DarkOliveGreen       {0x55, 0x6B, 0x2F}
#define Darkorange           {0xFF, 0x8C, 0x00}
#define DarkOrchid           {0x99, 0x32, 0xCC}
#define DarkRed              {0x8B, 0x00, 0x00}
#define DarkSalmon           {0xE9, 0x96, 0x7A}
#define DarkSeaGreen         {0x8F, 0xBC, 0x8F}
#define DarkSlateBlue        {0x48, 0x3D, 0x8B}
#define DarkSlateGray        {0x2F, 0x4F, 0x4F}
#define DarkTurquoise        {0x00, 0xCE, 0xD1}
#define DarkViolet           {0x94, 0x00, 0xD3}
#define DeepPink             {0xFF, 0x14, 0x93}
#define DeepSkyBlue          {0x00, 0xBF, 0xFF}
#define DimGray              {0x69, 0x69, 0x69}
#define DodgerBlue           {0x1E, 0x90, 0xFF}
#define Feldspar             {0xD1, 0x92, 0x75}
#define FireBrick            {0xB2, 0x22, 0x22}
#define FloralWhite          {0xFF, 0xFA, 0xF0}
#define ForestGreen          {0x22, 0x8B, 0x22}
#define Fuchsia              {0xFF, 0x00, 0xFF}
#define Gainsboro            {0xDC, 0xDC, 0xDC}
#define GhostWhite           {0xF8, 0xF8, 0xFF}
#define Gold                 {0xFF, 0xD7, 0x00}
#define GoldenRod            {0xDA, 0xA5, 0x20}
#define Gray                 {0x80, 0x80, 0x80}
#define Green                {0x00, 0x80, 0x00}
#define GreenYellow          {0xAD, 0xFF, 0x2F}
#define HoneyDew             {0xF0, 0xFF, 0xF0}
#define HotPink              {0xFF, 0x69, 0xB4}
#define IndianRed            {0xCD, 0x5C, 0x5C}
#define Indigo               {0x4B, 0x00, 0x82}
#define Ivory                {0xFF, 0xFF, 0xF0}
#define Khaki                {0xF0, 0xE6, 0x8C}
#define Lavender             {0xE6, 0xE6, 0xFA}
#define LavenderBlush        {0xFF, 0xF0, 0xF5}
#define LawnGreen            {0x7C, 0xFC, 0x00}
#define LemonChiffon         {0xFF, 0xFA, 0xCD}
#define LightBlue            {0xAD, 0xD8, 0xE6}
#define LightCoral           {0xF0, 0x80, 0x80}
#define LightCyan            {0xE0, 0xFF, 0xFF}
#define LightGoldenRodYellow {0xFA, 0xFA, 0xD2}
#define LightGray            {0xD3, 0xD3, 0xD3}
#define LightGreen           {0x90, 0xEE, 0x90}
#define LightPink            {0xFF, 0xB6, 0xC1}
#define LightSalmon          {0xFF, 0xA0, 0x7A}
#define LightSeaGreen        {0x20, 0xB2, 0xAA}
#define LightSkyBlue         {0x87, 0xCE, 0xFA}
#define LightSlateBlue       {0x84, 0x70, 0xFF}
#define LightSlateGray       {0x77, 0x88, 0x99}
#define LightSteelBlue       {0xB0, 0xC4, 0xDE}
#define LightYellow          {0xFF, 0xFF, 0xE0}
#define Lime                 {0x00, 0xFF, 0x00}
#define LimeGreen            {0x32, 0xCD, 0x32}
#define Linen                {0xFA, 0xF0, 0xE6}
#define Magenta              {0xFF, 0x00, 0xFF}
#define Maroon               {0x80, 0x00, 0x00}
#define MediumAquaMarine     {0x66, 0xCD, 0xAA}
#define MediumBlue           {0x00, 0x00, 0xCD}
#define MediumOrchid         {0xBA, 0x55, 0xD3}
#define MediumPurple         {0x93, 0x70, 0xD8}
#define MediumSeaGreen       {0x3C, 0xB3, 0x71}
#define MediumSlateBlue      {0x7B, 0x68, 0xEE}
#define MediumSpringGreen    {0x00, 0xFA, 0x9A}
#define MediumTurquoise      {0x48, 0xD1, 0xCC}
#define MediumVioletRed      {0xC7, 0x15, 0x85}
#define MidnightBlue         {0x19, 0x19, 0x70}
#define MintCream            {0xF5, 0xFF, 0xFA}
#define MistyRose            {0xFF, 0xE4, 0xE1}
#define Moccasin             {0xFF, 0xE4, 0xB5}
#define NavajoWhite          {0xFF, 0xDE, 0xAD}
#define Navy                 {0x00, 0x00, 0x80}
#define OldLace              {0xFD, 0xF5, 0xE6}
#define Olive                {0x80, 0x80, 0x00}
#define OliveDrab            {0x6B, 0x8E, 0x23}
#define Orange               {0xFF, 0xA5, 0x00}
#define OrangeRed            {0xFF, 0x45, 0x00}
#define Orchid               {0xDA, 0x70, 0xD6}
#define PaleGoldenRod        {0xEE, 0xE8, 0xAA}
#define PaleGreen            {0x98, 0xFB, 0x98}
#define PaleTurquoise        {0xAF, 0xEE, 0xEE}
#define PaleVioletRed        {0xD8, 0x70, 0x93}
#define PapayaWhip           {0xFF, 0xEF, 0xD5}
#define PeachPuff            {0xFF, 0xDA, 0xB9}
#define Peru                 {0xCD, 0x85, 0x3F}
#define Pink                 {0xFF, 0xC0, 0xCB}
#define Plum                 {0xDD, 0xA0, 0xDD}
#define PowderBlue           {0xB0, 0xE0, 0xE6}
#define Purple               {0x80, 0x00, 0x80}
#define Red                  {0xFF, 0x00, 0x00}
#define RosyBrown            {0xBC, 0x8F, 0x8F}
#define RoyalBlue            {0x41, 0x69, 0xE1}
#define SaddleBrown          {0x8B, 0x45, 0x13}
#define Salmon               {0xFA, 0x80, 0x72}
#define SandyBrown           {0xF4, 0xA4, 0x60}
#define SeaGreen             {0x2E, 0x8B, 0x57}
#define SeaShell             {0xFF, 0xF5, 0xEE}
#define Sienna               {0xA0, 0x52, 0x2D}
#define Silver               {0xC0, 0xC0, 0xC0}
#define SkyBlue              {0x87, 0xCE, 0xEB}
#define SlateBlue            {0x6A, 0x5A, 0xCD}
#define SlateGray            {0x70, 0x80, 0x90}
#define Snow                 {0xFF, 0xFA, 0xFA}
#define SpringGreen          {0x00, 0xFF, 0x7F}
#define SteelBlue            {0x46, 0x82, 0xB4}
#define Tan                  {0xD2, 0xB4, 0x8C}
#define Teal                 {0x00, 0x80, 0x80}
#define Thistle              {0xD8, 0xBF, 0xD8}
#define Tomato               {0xFF, 0x63, 0x47}
#define Turquoise            {0x40, 0xE0, 0xD0}
#define Violet               {0xEE, 0x82, 0xEE}
#define VioletRed            {0xD0, 0x20, 0x90}
#define Wheat                {0xF5, 0xDE, 0xB3}
#define White                {0xFF, 0xFF, 0xFF}
#define WhiteSmoke           {0xF5, 0xF5, 0xF5}
#define Yellow               {0xFF, 0xFF, 0x00}
#define YellowGreen          {0x9A, 0xCD, 0x32}

#endif /* __APPS_GRAPHICS_TRAVELER_TOOLS_TCLEDIT_TCL_COLORS_H */
